*Please note: this document is the most up-to-date version of this résumé. The associated PDF may not be current.*

# Noëlle Anthony
### noelle@noelle.codes
### https://noelle.codes • https://git.noelle.codes • https://github.com/joyeusenoelle

I’ve been working with computers for more than thirty years and programming for the web since 1996. I am well-versed in HTML, including HTML5, and Javascript, including ES6 and jQuery, on the front end, and PHP, Python, MySQL, PostgreSQL, Apache, and Nginx on the back end; I have also worked with Rust, Go, ColdFusion, ASP, and Ruby, as well as Node.js and Angular 1.0.

I have a bachelor’s degree in Classical Studies from Earlham College, and experience in live theater - on and off stage. Additionally, I have worked with statistics and data management, and am published both scholastically and in fiction. All of this helps me bring a unique perspective to my programming and development.

From 2012 to 2021, I worked primarily as a freelancer so that I could maintain my parents' house for them and, since I was a single parent, make sure my son had the parental support he needed to grow up and finish high school.

## Location
I strongly prefer remote work, and (barring special requirements) do not need additional equipment to be able to work remotely. I cannot relocate at the moment.

## Experience
#### Developer - DrChrono Inc. - August 2021-Present
* Transition the code base from Python 2 to Python 3
* Improve the code base using Python, HTML, and Javascript
* Maintain domain expertise in PDF generation in Python
* Investigate and resolve customer-facing issues in code as part of the Platform team

#### Developer - A Bunch Tell, LLC - May 2019-September 2019
* Develop blog application software using the Go language.

#### Developer - Animal Farm Foundation - June 2018-June 2020
* Develop and altered themes for the WordPress CMS.
* Manage a LAMP web server.

#### Developer - Good Good Work - June 2018-December 2018
* Develop and altered themes for the WordPress CMS.
* Migrate multiple WordPress websites into a single Multi-Site installation.

#### Moderator - Mastodon.Social Mastodon Instance - May 2017-May 2019
* Serve as primary moderator for the flagship Mastodon instance
* Handle abuse reports and user queries and requests

#### Administrator - Elekk.XYZ Mastodon Instance - April 2017-present
* Operate a Mastodon instance for 800+ users
* Handle abuse reports and user queries and requests
* Manage the server with systemctl, journalctl, etc.
* Modify the server code with Ruby, Javascript, etc.

#### Freelance Developer - January 2010-present
* Design and developed websites for clients, using HTML, PHP, Javascript/jQuery, and MySQL.
* Develop themes and plugins for the WordPress CMS.
* Design and developed a one-to-many webinar system in Flash.
* Develop an interactive bot in Python for use with a MUSH-based chat room: https://github.com/joyeusenoelle/BotEl/
* Develop a web app for use with the #MyVanityFairCover hashtag: http://www.noelleanthony.com/MyVanityFairCover/
* Consult with clients on user experience under the brand The Delightworks.
* Develop games for the PICO-8 console using Lua under the brand Mischievess, such as https://mischievess.itch.io/beebold .
* Selected clients include:
    * Elizabeth McCoy, author: http://www.elizabeth-mccoy.com
    * Genevieve Cogman, author: http://www.grcogman.com
    * The Fluent Self: http://www.thefluentself.com

#### Developer and Customer Relations - IttyBiz - December 2010-January 2012
* Develop WordPress theme and plugins for the IttyBiz website, http://www.ittybiz.com
* Manage the IttyBiz online store and mailing list.
* Provide customer management and custom fulfillment for special orders.

#### Research Assistant - The Johns Hopkins University - September 2002-December 2009
* Primary research assistant to Dr. Gail Daumit at the Welch Center in the Bloomberg School of Public Health.
* Manage and analyzed HIPAA-protected health data.
* Write data-related sections of journal articles.
* Develop web-based data-collection instruments using ColdFusion and Microsoft IIS.

#### Developer - Prometric/Thomson Learning - May-August 2000
* Develop the company’s first intranet site, using ASP and MySQL, as the sole developer on the team.

#### Web Developer - The Johns Hopkins University - August 1996-August 1997, May-August 1998
* Develop some of the first websites for the Department of Mental Hygiene in the Bloomberg School of Public Health, under the guidance of the lead developer.

## Education
#### Bachelor of Arts in Ancient and Classical Studies - Earlham College
* Graduated May 2007
* Other significant academic focuses: Theatre, Physics and Astronomy, Japanese Studies